# CJIVE

Joint and Individual Variation Explained via Canonical Correlation (or CJIVE) searches for directions of joint variance within two data sets. CJIVE analysis allows extraction of "joint subject scores", which act as a summary of the joint information found across data blocks, and "joint variable loadings", which exhibit the strength with which a variable contributes to the joint variability. CJIVE also allows for extraction of individual scores/loadings. These quantities are based on directions of variance that are unique (not shared) to a dataset. 

The file "CheckAJIVE_v_CJIVE_Simulations" provides an example of how to implement CJIVE and compares it to AJIVE, which is closely related to CJIVE. Both analyses use "toy data." The toy data are constrcuted in a manner similar to the simulations in our CJIVE manuscript: Interperative JIVE: Connections with CCA and an Application to Brain Connectivity (10.3389/fnins.2022.969510). The manuscript has been accepted for publication in Frontiers in Neuroscience - Brain Imaging Methods. 
